> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reserve a serials

> Reserve a serials

### Path parameters

<ParamField path="id" type="string" required>
  Serial ID
</ParamField>

### Request body

`ReserveSerialRequest`

<ParamField body="expires_in_seconds" type="integer,null (int64)" />

<ParamField body="reference_id" type="string,null" />

<ParamField body="reference_type" type="string,null">
  Defaults to `api`.
</ParamField>

<ParamField body="reserved_by" type="string,null" />

### Responses

<ResponseField name="201" type="SerialReservationResponse" />

<ResponseField name="400" type="ErrorBody" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/serials/{id}/reserve' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "expires_in_seconds": null,
    "reference_id": null,
    "reference_type": null,
    "reserved_by": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "expires_at": null,
    "reference_type": "string",
    "reservation_id": "string",
    "serial_id": "string"
  }
  ```
</ResponseExample>
